Bug 115385 - rhn_check (4.2.*) won't update multiple errata against RHN Proxy
rhn_check (4.2.*) won't update multiple errata against RHN Proxy
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: 125810 (view as bug list)
Depends On:
Blocks: 110950 124335
  Show dependency treegraph
Reported: 2004-02-11 15:14 EST by Todd Warner
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 19:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2004-02-11 15:14:07 EST
rhn_check logs in between each errata. Unfortunately, the
authentication token is not updated (uses the old one). RHN Proxy will
then disallow the GET requests.

NOTE: the client works fine against hosted and RHN Satellite because
those two have access to the server secret and validate that the token
is still good (even if old). The RHN Proxy caches tokens (has no
access to the server secret) and therefore only allows a single token
to be allowed.

Affects all customers with RHN Proxy and RHEL 3 clients.

Blocking against rhn310proxy since if RHN Proxy v3.1.0 is working
correctly it will fail against that as well.
Comment 1 Todd Warner 2004-02-11 15:18:21 EST
Figured out that this is an object referencing issue.

I.e., the token is a global object that's reference is retained in a
several classes (HttpGetServer for example). When a new login occurs
mid process the new token (a dictionary) is reassigned to the object
(new reference). The classes retain a reference to the old object.
So... therein lies the disconnect.

The correct methodology to fix this is to always fetch the object with
the up2dateAuth.getLoginInfo() function.

For now, I have simply fixed the reference problem. But... relying on
references being retained is fragile. getLoginInfo() is really the
right answer.

Comment 2 Todd Warner 2004-06-14 16:14:03 EDT
See bug 124335 for TEST PLAN
Comment 3 Todd Warner 2004-06-15 11:18:15 EDT
NOTE: fails against all versions of RHN Proxy
NOTE2: un-privatizing this bug so folks don't create duplicates.
Comment 4 Todd Warner 2004-06-15 11:20:01 EDT
*** Bug 125810 has been marked as a duplicate of this bug. ***
Comment 5 Todd Warner 2004-06-16 14:18:47 EDT
The fix seems to work just dandy.
Blocking on the backport to be passed: bug 124335
Comment 6 Fanny Augustin 2004-06-16 14:28:28 EDT
Looks good on the front end.  There are some backend issues that need
to be resolved (see bug: 124335), but there is another bug already
open for these issues.  The fix works.

Note You need to log in before you can comment on or make changes to this bug.